/*
 * Copyright (c) 2015 N. Billard.
 */
package com.massa.mrules.demos.classroom.model;

import java.util.List;

public class ClassRoom {

	//Inputs
	private List<Student> students;
	private List<Integer> coefficients;

	//Outputs
	private int numberOfAdmitted;
	private int numberOfRejected;
	private double classAverage;

	public ClassRoom() {
	}

	public List<Student> getStudents() {
		return this.students;
	}

	public void setStudents(final List<Student> students) {
		this.students = students;
	}

	public List<Integer> getCoefficients() {
		return this.coefficients;
	}

	public void setCoefficients(final List<Integer> coefficients) {
		this.coefficients = coefficients;
	}

	public int getNumberOfAdmitted() {
		return this.numberOfAdmitted;
	}

	public void setNumberOfAdmitted(final int numberOfAdmitted) {
		this.numberOfAdmitted = numberOfAdmitted;
	}

	public int getNumberOfRejected() {
		return this.numberOfRejected;
	}

	public void setNumberOfRejected(final int numberOfRejected) {
		this.numberOfRejected = numberOfRejected;
	}

	public double getClassAverage() {
		return this.classAverage;
	}

	public void setClassAverage(final double classAverage) {
		this.classAverage = classAverage;
	}
}
